summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Ferrone2022-04-30 04:43:24 +0200
committer Willy Sudiarto Raharjo2022-04-30 08:51:59 +0200
commit7419aebe574b5596e00e15fe390f13199843439c (patch)
tree9058c79169954f8612b8a7ddc97b7b204b20cba9
parent50beadcc0349f81db568e62c010e4802cad61761 (diff)
downloadslackbuilds-7419aebe574b5596e00e15fe390f13199843439c.tar.gz
audio/rack: Added (The Eurorack Simulator)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/rack/README4
-rw-r--r--audio/rack/doinst.sh3
-rw-r--r--audio/rack/rack23
-rw-r--r--audio/rack/rack.SlackBuild99
-rw-r--r--audio/rack/rack.desktop6
-rw-r--r--audio/rack/rack.info10
-rw-r--r--audio/rack/rack.pngbin0 -> 5305 bytes
-rw-r--r--audio/rack/slack-desc19
8 files changed, 164 insertions, 0 deletions
diff --git a/audio/rack/README b/audio/rack/README
new file mode 100644
index 0000000000..e9b20821b0
--- /dev/null
+++ b/audio/rack/README
@@ -0,0 +1,4 @@
+VCV Rack (The Eurorack Simulator)
+
+VCV Rack is an open-source Eurorack modular synthesizer simulator.
+https://vcvrack.com/manual/
diff --git a/audio/rack/doinst.sh b/audio/rack/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/rack/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/rack/rack b/audio/rack/rack
new file mode 100644
index 0000000000..c30482d6f2
--- /dev/null
+++ b/audio/rack/rack
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Slackware wrapper for the vcv rack executable.
+runme(){
+ cd /opt/rack
+ ./Rack
+
+}
+
+if [ $UID == 0 ]; then
+ read -p "You are currently running as root...\
+ Are you sure you want to proceed? (N/y): " resp
+ case "$resp" in
+ y|yes)
+ runme
+ ;;
+ *)
+ echo Exiting
+ exit 0
+ ;;
+ esac
+else
+ runme
+fi
diff --git a/audio/rack/rack.SlackBuild b/audio/rack/rack.SlackBuild
new file mode 100644
index 0000000000..e2bb9db6c9
--- /dev/null
+++ b/audio/rack/rack.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for VCV Rack
+
+# Copyright 2021 David Ferrone RI, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rack
+SRCNAM=Rack2Free
+VERSION=${VERSION:-2.0.6}
+SRCDIR=RackFree-$VERSION
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ BITFLAG="32"
+elif [ "$ARCH" = "x86_64" ]; then
+ BITFLAG=""
+else
+ BITFLAG=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $SRCDIR
+
+unzip $CWD/$SRCDIR-lin.zip
+cd $SRCNAM && chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir $PKG/opt
+cd ..
+mv $SRCNAM $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr $PKG/usr/doc $PKG/usr/bin
+mkdir -p $PKG/usr/share $PKG/usr/share/pixmaps $PKG/usr/share/applications
+cat $CWD/rack.desktop > $PKG/usr/share/applications/rack.desktop
+cat $CWD/rack.png > $PKG/usr/share/pixmaps/rack.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cat $CWD/rack > $PKG/usr/bin/rack
+chmod 755 $PKG/usr/bin/rack
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/rack/rack.desktop b/audio/rack/rack.desktop
new file mode 100644
index 0000000000..f3b4737d9b
--- /dev/null
+++ b/audio/rack/rack.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Type=Application
+Terminal=false
+Exec=/usr/bin/rack
+Name=rack
+Icon=rack
diff --git a/audio/rack/rack.info b/audio/rack/rack.info
new file mode 100644
index 0000000000..e49f12c0ef
--- /dev/null
+++ b/audio/rack/rack.info
@@ -0,0 +1,10 @@
+PRGNAM="rack"
+VERSION="2.0.6"
+HOMEPAGE="https://vcvrack.com"
+DOWNLOAD="https://vcvrack.com/downloads/RackFree-2.0.6-lin.zip"
+MD5SUM="4d672415d535ee9b3e622a850750d747"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack"
+MAINTAINER="David Ferrone"
+EMAIL="zapwai@gmail.com"
diff --git a/audio/rack/rack.png b/audio/rack/rack.png
new file mode 100644
index 0000000000..9aac2e4aeb
--- /dev/null
+++ b/audio/rack/rack.png
Binary files differ
diff --git a/audio/rack/slack-desc b/audio/rack/slack-desc
new file mode 100644
index 0000000000..081c2714b1
--- /dev/null
+++ b/audio/rack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rack: rack (The Eurorack Simulator)
+rack:
+rack: VCV Rack is an open-source Eurorack modular synthesizer simulator.
+rack: https://vcvrack.com/manual/
+rack:
+rack:
+rack:
+rack:
+rack:
+rack:
+rack: